Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.resources.client
Class LookupCachePool.SharedLookupCache

    java.lang.Object
      org.jini.rio.resources.client.LookupCachePool.SharedLookupCache

All Implemented Interfaces:
  LookupCache

Enclosing class:
  LookupCachePool

    public class LookupCachePool.SharedLookupCache

extends Object
implements LookupCache

The SharedLookupCache implements a LookupCache and delegates all method invocations to the class itextends LookupDiscoveryManager and maintains a reference counter for how many clients are sharing the instance. The reference counter is used to determine if the LookupDiscoveryManager should be terminated. The reference counter is increments each time this instance is shared, and decremented each time the terminate method is called. If the reference counter goes to zero upon termination the LookupDiscoveryManager will be terminated

Constructor Summary
`LookupCachePool.SharedLookupCache(LookupCache lCache, ServiceTemplate template, org.jini.rio.resources.client.LookupCachePool.SDMWrapper sdmWrapper)`

Method Summary
`void` | `addListener(ServiceDiscoveryListener arg0)`
`void` | `discard(Object arg0)`
`ServiceItem` | `lookup(ServiceItemFilter arg0)`
`ServiceItem[]` | `lookup(ServiceItemFilter arg0, int arg1)`
`void` | `removeListener(ServiceDiscoveryListener arg0)`
`void` | `terminate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LookupCachePool.SharedLookupCache

    public LookupCachePool.SharedLookupCache(LookupCache lCache,
                                             ServiceTemplate template,
                                             org.jini.rio.resources.client.LookupCachePool.SDMWrapper sdmWrapper)

Method Detail

### lookup

    public ServiceItem lookup(ServiceItemFilter arg0)

  Specified by:
    `lookup` in interface `LookupCache`

### lookup

    public ServiceItem[] lookup(ServiceItemFilter arg0,
                                int arg1)

  Specified by:
    `lookup` in interface `LookupCache`

### addListener

    public void addListener(ServiceDiscoveryListener arg0)

  Specified by:
    `addListener` in interface `LookupCache`

### removeListener

    public void removeListener(ServiceDiscoveryListener arg0)

  Specified by:
    `removeListener` in interface `LookupCache`

### discard

    public void discard(Object arg0)

  Specified by:
    `discard` in interface `LookupCache`

### terminate

    public void terminate()

  Specified by:
    `terminate` in interface `LookupCache`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.